---
title: "Invalidate the current API key and return a new API key"
description: "POST /change_auth_key — **Warning:** This will change the users authentication key, and therefore log them out of all applications. Note: this includes the mobile applications."
canonical_url: https://developer.onepagecrm.com/api/reference/bootstrap/post-change_auth_key/
source: Markdown mirror of https://developer.onepagecrm.com/api/reference/bootstrap/post-change_auth_key/
---

`POST /change_auth_key`

**Warning:** This will change the users authentication key, and therefore log them out of all applications. Note: this includes the mobile applications.

Resource: [Bootstrap](https://developer.onepagecrm.com/api/reference/bootstrap/) · [API Reference](https://developer.onepagecrm.com/api/reference/)

## Request

```bash
curl -X POST "https://app.onepagecrm.com/api/v3/change_auth_key" \
  -u $user_id:$api_key
```

Authentication is HTTP Basic — `user_id` as username, `api_key` as password.
See https://developer.onepagecrm.com/api/authentication/.

## Responses

### 201

Created

```json
{
  "status": 0,
  "message": "OK",
  "timestamp": 1528373119,
  "data": {
    "auth_key": "wbJBo+odEikiDOjdnL+P+0fl+Dbgk84747jFtyOZghs="
  }
}
```

Standard error responses: 400, 401 — shared across the API. See https://developer.onepagecrm.com/api/errors/.

## Related guides

- [Authentication](https://developer.onepagecrm.com/api/authentication/)
- [Errors](https://developer.onepagecrm.com/api/errors/)
- [Rate limits](https://developer.onepagecrm.com/api/rate-limits/)
